]> git.ipfire.org Git - thirdparty/gcc.git/blame - gcc/f/runtime/configure
Update mainline egcs to gcc2 snapshot 971021.
[thirdparty/gcc.git] / gcc / f / runtime / configure
CommitLineData
5ff904cd
JL
1#! /bin/sh
2
3# Guess values for system-dependent variables and create Makefiles.
e9a25f70 4# Generated automatically using autoconf version 2.12.1
5ff904cd
JL
5# Copyright (C) 1992, 93, 94, 95, 96 Free Software Foundation, Inc.
6#
7# This configure script is free software; the Free Software Foundation
8# gives unlimited permission to copy, distribute and modify it.
9
10# Defaults:
11ac_help=
12ac_default_prefix=/usr/local
13# Any additions from configure.in:
14
15# Initialize some variables set by options.
16# The variables have the same names as the options, with
17# dashes changed to underlines.
18build=NONE
19cache_file=./config.cache
20exec_prefix=NONE
21host=NONE
22no_create=
23nonopt=NONE
24no_recursion=
25prefix=NONE
26program_prefix=NONE
27program_suffix=NONE
28program_transform_name=s,x,x,
29silent=
30site=
31srcdir=
32target=NONE
33verbose=
34x_includes=NONE
35x_libraries=NONE
36bindir='${exec_prefix}/bin'
37sbindir='${exec_prefix}/sbin'
38libexecdir='${exec_prefix}/libexec'
39datadir='${prefix}/share'
40sysconfdir='${prefix}/etc'
41sharedstatedir='${prefix}/com'
42localstatedir='${prefix}/var'
43libdir='${exec_prefix}/lib'
44includedir='${prefix}/include'
45oldincludedir='/usr/include'
46infodir='${prefix}/info'
47mandir='${prefix}/man'
48
49# Initialize some other variables.
50subdirs=
51MFLAGS= MAKEFLAGS=
e9a25f70 52SHELL=${CONFIG_SHELL-/bin/sh}
5ff904cd
JL
53# Maximum number of lines to put in a shell here document.
54ac_max_here_lines=12
55
56ac_prev=
57for ac_option
58do
59
60 # If the previous option needs an argument, assign it.
61 if test -n "$ac_prev"; then
62 eval "$ac_prev=\$ac_option"
63 ac_prev=
64 continue
65 fi
66
67 case "$ac_option" in
68 -*=*) ac_optarg=`echo "$ac_option" | sed 's/[-_a-zA-Z0-9]*=//'` ;;
69 *) ac_optarg= ;;
70 esac
71
72 # Accept the important Cygnus configure options, so we can diagnose typos.
73
74 case "$ac_option" in
75
76 -bindir | --bindir | --bindi | --bind | --bin | --bi)
77 ac_prev=bindir ;;
78 -bindir=* | --bindir=* | --bindi=* | --bind=* | --bin=* | --bi=*)
79 bindir="$ac_optarg" ;;
80
81 -build | --build | --buil | --bui | --bu)
82 ac_prev=build ;;
83 -build=* | --build=* | --buil=* | --bui=* | --bu=*)
84 build="$ac_optarg" ;;
85
86 -cache-file | --cache-file | --cache-fil | --cache-fi \
87 | --cache-f | --cache- | --cache | --cach | --cac | --ca | --c)
88 ac_prev=cache_file ;;
89 -cache-file=* | --cache-file=* | --cache-fil=* | --cache-fi=* \
90 | --cache-f=* | --cache-=* | --cache=* | --cach=* | --cac=* | --ca=* | --c=*)
91 cache_file="$ac_optarg" ;;
92
93 -datadir | --datadir | --datadi | --datad | --data | --dat | --da)
94 ac_prev=datadir ;;
95 -datadir=* | --datadir=* | --datadi=* | --datad=* | --data=* | --dat=* \
96 | --da=*)
97 datadir="$ac_optarg" ;;
98
99 -disable-* | --disable-*)
100 ac_feature=`echo $ac_option|sed -e 's/-*disable-//'`
101 # Reject names that are not valid shell variable names.
102 if test -n "`echo $ac_feature| sed 's/[-a-zA-Z0-9_]//g'`"; then
103 { echo "configure: error: $ac_feature: invalid feature name" 1>&2; exit 1; }
104 fi
105 ac_feature=`echo $ac_feature| sed 's/-/_/g'`
106 eval "enable_${ac_feature}=no" ;;
107
108 -enable-* | --enable-*)
109 ac_feature=`echo $ac_option|sed -e 's/-*enable-//' -e 's/=.*//'`
110 # Reject names that are not valid shell variable names.
111 if test -n "`echo $ac_feature| sed 's/[-_a-zA-Z0-9]//g'`"; then
112 { echo "configure: error: $ac_feature: invalid feature name" 1>&2; exit 1; }
113 fi
114 ac_feature=`echo $ac_feature| sed 's/-/_/g'`
115 case "$ac_option" in
116 *=*) ;;
117 *) ac_optarg=yes ;;
118 esac
119 eval "enable_${ac_feature}='$ac_optarg'" ;;
120
121 -exec-prefix | --exec_prefix | --exec-prefix | --exec-prefi \
122 | --exec-pref | --exec-pre | --exec-pr | --exec-p | --exec- \
123 | --exec | --exe | --ex)
124 ac_prev=exec_prefix ;;
125 -exec-prefix=* | --exec_prefix=* | --exec-prefix=* | --exec-prefi=* \
126 | --exec-pref=* | --exec-pre=* | --exec-pr=* | --exec-p=* | --exec-=* \
127 | --exec=* | --exe=* | --ex=*)
128 exec_prefix="$ac_optarg" ;;
129
130 -gas | --gas | --ga | --g)
131 # Obsolete; use --with-gas.
132 with_gas=yes ;;
133
134 -help | --help | --hel | --he)
135 # Omit some internal or obsolete options to make the list less imposing.
136 # This message is too long to be a string in the A/UX 3.1 sh.
137 cat << EOF
138Usage: configure [options] [host]
139Options: [defaults in brackets after descriptions]
140Configuration:
141 --cache-file=FILE cache test results in FILE
142 --help print this message
143 --no-create do not create output files
144 --quiet, --silent do not print \`checking...' messages
145 --version print the version of autoconf that created configure
146Directory and file names:
147 --prefix=PREFIX install architecture-independent files in PREFIX
148 [$ac_default_prefix]
149 --exec-prefix=EPREFIX install architecture-dependent files in EPREFIX
150 [same as prefix]
151 --bindir=DIR user executables in DIR [EPREFIX/bin]
152 --sbindir=DIR system admin executables in DIR [EPREFIX/sbin]
153 --libexecdir=DIR program executables in DIR [EPREFIX/libexec]
154 --datadir=DIR read-only architecture-independent data in DIR
155 [PREFIX/share]
156 --sysconfdir=DIR read-only single-machine data in DIR [PREFIX/etc]
157 --sharedstatedir=DIR modifiable architecture-independent data in DIR
158 [PREFIX/com]
159 --localstatedir=DIR modifiable single-machine data in DIR [PREFIX/var]
160 --libdir=DIR object code libraries in DIR [EPREFIX/lib]
161 --includedir=DIR C header files in DIR [PREFIX/include]
162 --oldincludedir=DIR C header files for non-gcc in DIR [/usr/include]
163 --infodir=DIR info documentation in DIR [PREFIX/info]
164 --mandir=DIR man documentation in DIR [PREFIX/man]
165 --srcdir=DIR find the sources in DIR [configure dir or ..]
166 --program-prefix=PREFIX prepend PREFIX to installed program names
167 --program-suffix=SUFFIX append SUFFIX to installed program names
168 --program-transform-name=PROGRAM
169 run sed PROGRAM on installed program names
170EOF
171 cat << EOF
172Host type:
173 --build=BUILD configure for building on BUILD [BUILD=HOST]
174 --host=HOST configure for HOST [guessed]
175 --target=TARGET configure for TARGET [TARGET=HOST]
176Features and packages:
177 --disable-FEATURE do not include FEATURE (same as --enable-FEATURE=no)
178 --enable-FEATURE[=ARG] include FEATURE [ARG=yes]
179 --with-PACKAGE[=ARG] use PACKAGE [ARG=yes]
180 --without-PACKAGE do not use PACKAGE (same as --with-PACKAGE=no)
181 --x-includes=DIR X include files are in DIR
182 --x-libraries=DIR X library files are in DIR
183EOF
184 if test -n "$ac_help"; then
185 echo "--enable and --with options recognized:$ac_help"
186 fi
187 exit 0 ;;
188
189 -host | --host | --hos | --ho)
190 ac_prev=host ;;
191 -host=* | --host=* | --hos=* | --ho=*)
192 host="$ac_optarg" ;;
193
194 -includedir | --includedir | --includedi | --included | --include \
195 | --includ | --inclu | --incl | --inc)
196 ac_prev=includedir ;;
197 -includedir=* | --includedir=* | --includedi=* | --included=* | --include=* \
198 | --includ=* | --inclu=* | --incl=* | --inc=*)
199 includedir="$ac_optarg" ;;
200
201 -infodir | --infodir | --infodi | --infod | --info | --inf)
202 ac_prev=infodir ;;
203 -infodir=* | --infodir=* | --infodi=* | --infod=* | --info=* | --inf=*)
204 infodir="$ac_optarg" ;;
205
206 -libdir | --libdir | --libdi | --libd)
207 ac_prev=libdir ;;
208 -libdir=* | --libdir=* | --libdi=* | --libd=*)
209 libdir="$ac_optarg" ;;
210
211 -libexecdir | --libexecdir | --libexecdi | --libexecd | --libexec \
212 | --libexe | --libex | --libe)
213 ac_prev=libexecdir ;;
214 -libexecdir=* | --libexecdir=* | --libexecdi=* | --libexecd=* | --libexec=* \
215 | --libexe=* | --libex=* | --libe=*)
216 libexecdir="$ac_optarg" ;;
217
218 -localstatedir | --localstatedir | --localstatedi | --localstated \
219 | --localstate | --localstat | --localsta | --localst \
220 | --locals | --local | --loca | --loc | --lo)
221 ac_prev=localstatedir ;;
222 -localstatedir=* | --localstatedir=* | --localstatedi=* | --localstated=* \
223 | --localstate=* | --localstat=* | --localsta=* | --localst=* \
224 | --locals=* | --local=* | --loca=* | --loc=* | --lo=*)
225 localstatedir="$ac_optarg" ;;
226
227 -mandir | --mandir | --mandi | --mand | --man | --ma | --m)
228 ac_prev=mandir ;;
229 -mandir=* | --mandir=* | --mandi=* | --mand=* | --man=* | --ma=* | --m=*)
230 mandir="$ac_optarg" ;;
231
232 -nfp | --nfp | --nf)
233 # Obsolete; use --without-fp.
234 with_fp=no ;;
235
236 -no-create | --no-create | --no-creat | --no-crea | --no-cre \
237 | --no-cr | --no-c)
238 no_create=yes ;;
239
240 -no-recursion | --no-recursion | --no-recursio | --no-recursi \
241 | --no-recurs | --no-recur | --no-recu | --no-rec | --no-re | --no-r)
242 no_recursion=yes ;;
243
244 -oldincludedir | --oldincludedir | --oldincludedi | --oldincluded \
245 | --oldinclude | --oldinclud | --oldinclu | --oldincl | --oldinc \
246 | --oldin | --oldi | --old | --ol | --o)
247 ac_prev=oldincludedir ;;
248 -oldincludedir=* | --oldincludedir=* | --oldincludedi=* | --oldincluded=* \
249 | --oldinclude=* | --oldinclud=* | --oldinclu=* | --oldincl=* | --oldinc=* \
250 | --oldin=* | --oldi=* | --old=* | --ol=* | --o=*)
251 oldincludedir="$ac_optarg" ;;
252
253 -prefix | --prefix | --prefi | --pref | --pre | --pr | --p)
254 ac_prev=prefix ;;
255 -prefix=* | --prefix=* | --prefi=* | --pref=* | --pre=* | --pr=* | --p=*)
256 prefix="$ac_optarg" ;;
257
258 -program-prefix | --program-prefix | --program-prefi | --program-pref \
259 | --program-pre | --program-pr | --program-p)
260 ac_prev=program_prefix ;;
261 -program-prefix=* | --program-prefix=* | --program-prefi=* \
262 | --program-pref=* | --program-pre=* | --program-pr=* | --program-p=*)
263 program_prefix="$ac_optarg" ;;
264
265 -program-suffix | --program-suffix | --program-suffi | --program-suff \
266 | --program-suf | --program-su | --program-s)
267 ac_prev=program_suffix ;;
268 -program-suffix=* | --program-suffix=* | --program-suffi=* \
269 | --program-suff=* | --program-suf=* | --program-su=* | --program-s=*)
270 program_suffix="$ac_optarg" ;;
271
272 -program-transform-name | --program-transform-name \
273 | --program-transform-nam | --program-transform-na \
274 | --program-transform-n | --program-transform- \
275 | --program-transform | --program-transfor \
276 | --program-transfo | --program-transf \
277 | --program-trans | --program-tran \
278 | --progr-tra | --program-tr | --program-t)
279 ac_prev=program_transform_name ;;
280 -program-transform-name=* | --program-transform-name=* \
281 | --program-transform-nam=* | --program-transform-na=* \
282 | --program-transform-n=* | --program-transform-=* \
283 | --program-transform=* | --program-transfor=* \
284 | --program-transfo=* | --program-transf=* \
285 | --program-trans=* | --program-tran=* \
286 | --progr-tra=* | --program-tr=* | --program-t=*)
287 program_transform_name="$ac_optarg" ;;
288
289 -q | -quiet | --quiet | --quie | --qui | --qu | --q \
290 | -silent | --silent | --silen | --sile | --sil)
291 silent=yes ;;
292
293 -sbindir | --sbindir | --sbindi | --sbind | --sbin | --sbi | --sb)
294 ac_prev=sbindir ;;
295 -sbindir=* | --sbindir=* | --sbindi=* | --sbind=* | --sbin=* \
296 | --sbi=* | --sb=*)
297 sbindir="$ac_optarg" ;;
298
299 -sharedstatedir | --sharedstatedir | --sharedstatedi \
300 | --sharedstated | --sharedstate | --sharedstat | --sharedsta \
301 | --sharedst | --shareds | --shared | --share | --shar \
302 | --sha | --sh)
303 ac_prev=sharedstatedir ;;
304 -sharedstatedir=* | --sharedstatedir=* | --sharedstatedi=* \
305 | --sharedstated=* | --sharedstate=* | --sharedstat=* | --sharedsta=* \
306 | --sharedst=* | --shareds=* | --shared=* | --share=* | --shar=* \
307 | --sha=* | --sh=*)
308 sharedstatedir="$ac_optarg" ;;
309
310 -site | --site | --sit)
311 ac_prev=site ;;
312 -site=* | --site=* | --sit=*)
313 site="$ac_optarg" ;;
314
315 -srcdir | --srcdir | --srcdi | --srcd | --src | --sr)
316 ac_prev=srcdir ;;
317 -srcdir=* | --srcdir=* | --srcdi=* | --srcd=* | --src=* | --sr=*)
318 srcdir="$ac_optarg" ;;
319
320 -sysconfdir | --sysconfdir | --sysconfdi | --sysconfd | --sysconf \
321 | --syscon | --sysco | --sysc | --sys | --sy)
322 ac_prev=sysconfdir ;;
323 -sysconfdir=* | --sysconfdir=* | --sysconfdi=* | --sysconfd=* | --sysconf=* \
324 | --syscon=* | --sysco=* | --sysc=* | --sys=* | --sy=*)
325 sysconfdir="$ac_optarg" ;;
326
327 -target | --target | --targe | --targ | --tar | --ta | --t)
328 ac_prev=target ;;
329 -target=* | --target=* | --targe=* | --targ=* | --tar=* | --ta=* | --t=*)
330 target="$ac_optarg" ;;
331
332 -v | -verbose | --verbose | --verbos | --verbo | --verb)
333 verbose=yes ;;
334
335 -version | --version | --versio | --versi | --vers)
e9a25f70 336 echo "configure generated by autoconf version 2.12.1"
5ff904cd
JL
337 exit 0 ;;
338
339 -with-* | --with-*)
340 ac_package=`echo $ac_option|sed -e 's/-*with-//' -e 's/=.*//'`
341 # Reject names that are not valid shell variable names.
342 if test -n "`echo $ac_package| sed 's/[-_a-zA-Z0-9]//g'`"; then
343 { echo "configure: error: $ac_package: invalid package name" 1>&2; exit 1; }
344 fi
345 ac_package=`echo $ac_package| sed 's/-/_/g'`
346 case "$ac_option" in
347 *=*) ;;
348 *) ac_optarg=yes ;;
349 esac
350 eval "with_${ac_package}='$ac_optarg'" ;;
351
352 -without-* | --without-*)
353 ac_package=`echo $ac_option|sed -e 's/-*without-//'`
354 # Reject names that are not valid shell variable names.
355 if test -n "`echo $ac_package| sed 's/[-a-zA-Z0-9_]//g'`"; then
356 { echo "configure: error: $ac_package: invalid package name" 1>&2; exit 1; }
357 fi
358 ac_package=`echo $ac_package| sed 's/-/_/g'`
359 eval "with_${ac_package}=no" ;;
360
361 --x)
362 # Obsolete; use --with-x.
363 with_x=yes ;;
364
365 -x-includes | --x-includes | --x-include | --x-includ | --x-inclu \
366 | --x-incl | --x-inc | --x-in | --x-i)
367 ac_prev=x_includes ;;
368 -x-includes=* | --x-includes=* | --x-include=* | --x-includ=* | --x-inclu=* \
369 | --x-incl=* | --x-inc=* | --x-in=* | --x-i=*)
370 x_includes="$ac_optarg" ;;
371
372 -x-libraries | --x-libraries | --x-librarie | --x-librari \
373 | --x-librar | --x-libra | --x-libr | --x-lib | --x-li | --x-l)
374 ac_prev=x_libraries ;;
375 -x-libraries=* | --x-libraries=* | --x-librarie=* | --x-librari=* \
376 | --x-librar=* | --x-libra=* | --x-libr=* | --x-lib=* | --x-li=* | --x-l=*)
377 x_libraries="$ac_optarg" ;;
378
379 -*) { echo "configure: error: $ac_option: invalid option; use --help to show usage" 1>&2; exit 1; }
380 ;;
381
382 *)
383 if test -n "`echo $ac_option| sed 's/[-a-z0-9.]//g'`"; then
384 echo "configure: warning: $ac_option: invalid host type" 1>&2
385 fi
386 if test "x$nonopt" != xNONE; then
387 { echo "configure: error: can only configure for one host and one target at a time" 1>&2; exit 1; }
388 fi
389 nonopt="$ac_option"
390 ;;
391
392 esac
393done
394
395if test -n "$ac_prev"; then
396 { echo "configure: error: missing argument to --`echo $ac_prev | sed 's/_/-/g'`" 1>&2; exit 1; }
397fi
398
399trap 'rm -fr conftest* confdefs* core core.* *.core $ac_clean_files; exit 1' 1 2 15
400
401# File descriptor usage:
402# 0 standard input
403# 1 file creation
404# 2 errors and warnings
405# 3 some systems may open it to /dev/tty
406# 4 used on the Kubota Titan
407# 6 checking for... messages and results
408# 5 compiler messages saved in config.log
409if test "$silent" = yes; then
410 exec 6>/dev/null
411else
412 exec 6>&1
413fi
414exec 5>./config.log
415
416echo "\
417This file contains any messages produced by compilers while
418running configure, to aid debugging if configure makes a mistake.
419" 1>&5
420
421# Strip out --no-create and --no-recursion so they do not pile up.
422# Also quote any args containing shell metacharacters.
423ac_configure_args=
424for ac_arg
425do
426 case "$ac_arg" in
427 -no-create | --no-create | --no-creat | --no-crea | --no-cre \
428 | --no-cr | --no-c) ;;
429 -no-recursion | --no-recursion | --no-recursio | --no-recursi \
430 | --no-recurs | --no-recur | --no-recu | --no-rec | --no-re | --no-r) ;;
431 *" "*|*" "*|*[\[\]\~\#\$\^\&\*\(\)\{\}\\\|\;\<\>\?]*)
432 ac_configure_args="$ac_configure_args '$ac_arg'" ;;
433 *) ac_configure_args="$ac_configure_args $ac_arg" ;;
434 esac
435done
436
437# NLS nuisances.
438# Only set these to C if already set. These must not be set unconditionally
439# because not all systems understand e.g. LANG=C (notably SCO).
440# Fixing LC_MESSAGES prevents Solaris sh from translating var values in `set'!
441# Non-C LC_CTYPE values break the ctype check.
442if test "${LANG+set}" = set; then LANG=C; export LANG; fi
443if test "${LC_ALL+set}" = set; then LC_ALL=C; export LC_ALL; fi
444if test "${LC_MESSAGES+set}" = set; then LC_MESSAGES=C; export LC_MESSAGES; fi
445if test "${LC_CTYPE+set}" = set; then LC_CTYPE=C; export LC_CTYPE; fi
446
447# confdefs.h avoids OS command line length limits that DEFS can exceed.
448rm -rf conftest* confdefs.h
449# AIX cpp loses on an empty file, so make sure it contains at least a newline.
450echo > confdefs.h
451
452# A filename unique to this package, relative to the directory that
453# configure is in, which we can look for to find out if srcdir is correct.
454ac_unique_file=libF77/Version.c
455
456# Find the source files, if location was not specified.
457if test -z "$srcdir"; then
458 ac_srcdir_defaulted=yes
459 # Try the directory containing this script, then its parent.
460 ac_prog=$0
461 ac_confdir=`echo $ac_prog|sed 's%/[^/][^/]*$%%'`
462 test "x$ac_confdir" = "x$ac_prog" && ac_confdir=.
463 srcdir=$ac_confdir
464 if test ! -r $srcdir/$ac_unique_file; then
465 srcdir=..
466 fi
467else
468 ac_srcdir_defaulted=no
469fi
470if test ! -r $srcdir/$ac_unique_file; then
471 if test "$ac_srcdir_defaulted" = yes; then
472 { echo "configure: error: can not find sources in $ac_confdir or .." 1>&2; exit 1; }
473 else
474 { echo "configure: error: can not find sources in $srcdir" 1>&2; exit 1; }
475 fi
476fi
477srcdir=`echo "${srcdir}" | sed 's%\([^/]\)/*$%\1%'`
478
479# Prefer explicitly selected file to automatically selected ones.
480if test -z "$CONFIG_SITE"; then
481 if test "x$prefix" != xNONE; then
482 CONFIG_SITE="$prefix/share/config.site $prefix/etc/config.site"
483 else
484 CONFIG_SITE="$ac_default_prefix/share/config.site $ac_default_prefix/etc/config.site"
485 fi
486fi
487for ac_site_file in $CONFIG_SITE; do
488 if test -r "$ac_site_file"; then
489 echo "loading site script $ac_site_file"
490 . "$ac_site_file"
491 fi
492done
493
494if test -r "$cache_file"; then
495 echo "loading cache $cache_file"
496 . $cache_file
497else
498 echo "creating cache $cache_file"
499 > $cache_file
500fi
501
502ac_ext=c
503# CFLAGS is not in ac_cpp because -g, -O, etc. are not valid cpp options.
504ac_cpp='$CPP $CPPFLAGS'
505ac_compile='${CC-cc} -c $CFLAGS $CPPFLAGS conftest.$ac_ext 1>&5'
506ac_link='${CC-cc} -o conftest $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS 1>&5'
507cross_compiling=$ac_cv_prog_cc_cross
508
509if (echo "testing\c"; echo 1,2,3) | grep c >/dev/null; then
510 # Stardent Vistra SVR4 grep lacks -e, says ghazi@caip.rutgers.edu.
511 if (echo -n testing; echo 1,2,3) | sed s/-n/xn/ | grep xn >/dev/null; then
512 ac_n= ac_c='
513' ac_t=' '
514 else
515 ac_n=-n ac_c= ac_t=
516 fi
517else
518 ac_n= ac_c='\c' ac_t=
519fi
520
521
522
523# From configure.in 1.10
524
525# For g77 we'll set CC to point at the built gcc, but this will get it into
526# the makefiles
527# Extract the first word of "gcc", so it can be a program name with args.
528set dummy gcc; ac_word=$2
529echo $ac_n "checking for $ac_word""... $ac_c" 1>&6
e9a25f70 530echo "configure:531: checking for $ac_word" >&5
5ff904cd
JL
531if eval "test \"`echo '$''{'ac_cv_prog_CC'+set}'`\" = set"; then
532 echo $ac_n "(cached) $ac_c" 1>&6
533else
534 if test -n "$CC"; then
535 ac_cv_prog_CC="$CC" # Let the user override the test.
536else
537 IFS="${IFS= }"; ac_save_ifs="$IFS"; IFS="${IFS}:"
538 for ac_dir in $PATH; do
539 test -z "$ac_dir" && ac_dir=.
540 if test -f $ac_dir/$ac_word; then
541 ac_cv_prog_CC="gcc"
542 break
543 fi
544 done
545 IFS="$ac_save_ifs"
546fi
547fi
548CC="$ac_cv_prog_CC"
549if test -n "$CC"; then
550 echo "$ac_t""$CC" 1>&6
551else
552 echo "$ac_t""no" 1>&6
553fi
554
555if test -z "$CC"; then
556 # Extract the first word of "cc", so it can be a program name with args.
557set dummy cc; ac_word=$2
558echo $ac_n "checking for $ac_word""... $ac_c" 1>&6
e9a25f70 559echo "configure:560: checking for $ac_word" >&5
5ff904cd
JL
560if eval "test \"`echo '$''{'ac_cv_prog_CC'+set}'`\" = set"; then
561 echo $ac_n "(cached) $ac_c" 1>&6
562else
563 if test -n "$CC"; then
564 ac_cv_prog_CC="$CC" # Let the user override the test.
565else
566 IFS="${IFS= }"; ac_save_ifs="$IFS"; IFS="${IFS}:"
567 ac_prog_rejected=no
568 for ac_dir in $PATH; do
569 test -z "$ac_dir" && ac_dir=.
570 if test -f $ac_dir/$ac_word; then
571 if test "$ac_dir/$ac_word" = "/usr/ucb/cc"; then
572 ac_prog_rejected=yes
573 continue
574 fi
575 ac_cv_prog_CC="cc"
576 break
577 fi
578 done
579 IFS="$ac_save_ifs"
580if test $ac_prog_rejected = yes; then
581 # We found a bogon in the path, so make sure we never use it.
582 set dummy $ac_cv_prog_CC
583 shift
584 if test $# -gt 0; then
585 # We chose a different compiler from the bogus one.
586 # However, it has the same basename, so the bogon will be chosen
587 # first if we set CC to just the basename; use the full file name.
588 shift
589 set dummy "$ac_dir/$ac_word" "$@"
590 shift
591 ac_cv_prog_CC="$@"
592 fi
593fi
594fi
595fi
596CC="$ac_cv_prog_CC"
597if test -n "$CC"; then
598 echo "$ac_t""$CC" 1>&6
599else
600 echo "$ac_t""no" 1>&6
601fi
602
603 test -z "$CC" && { echo "configure: error: no acceptable cc found in \$PATH" 1>&2; exit 1; }
604fi
605
606echo $ac_n "checking whether the C compiler ($CC $CFLAGS $LDFLAGS) works""... $ac_c" 1>&6
e9a25f70 607echo "configure:608: checking whether the C compiler ($CC $CFLAGS $LDFLAGS) works" >&5
5ff904cd
JL
608
609ac_ext=c
610# CFLAGS is not in ac_cpp because -g, -O, etc. are not valid cpp options.
611ac_cpp='$CPP $CPPFLAGS'
612ac_compile='${CC-cc} -c $CFLAGS $CPPFLAGS conftest.$ac_ext 1>&5'
613ac_link='${CC-cc} -o conftest $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS 1>&5'
614cross_compiling=$ac_cv_prog_cc_cross
615
616cat > conftest.$ac_ext <<EOF
e9a25f70 617#line 618 "configure"
5ff904cd
JL
618#include "confdefs.h"
619main(){return(0);}
620EOF
e9a25f70 621if { (eval echo configure:622: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest; then
5ff904cd
JL
622 ac_cv_prog_cc_works=yes
623 # If we can't run a trivial program, we are probably using a cross compiler.
624 if (./conftest; exit) 2>/dev/null; then
625 ac_cv_prog_cc_cross=no
626 else
627 ac_cv_prog_cc_cross=yes
628 fi
629else
630 echo "configure: failed program was:" >&5
631 cat conftest.$ac_ext >&5
632 ac_cv_prog_cc_works=no
633fi
634rm -fr conftest*
635
636echo "$ac_t""$ac_cv_prog_cc_works" 1>&6
637if test $ac_cv_prog_cc_works = no; then
638 { echo "configure: error: installation or configuration problem: C compiler cannot create executables." 1>&2; exit 1; }
639fi
640echo $ac_n "checking whether the C compiler ($CC $CFLAGS $LDFLAGS) is a cross-compiler""... $ac_c" 1>&6
e9a25f70 641echo "configure:642: checking whether the C compiler ($CC $CFLAGS $LDFLAGS) is a cross-compiler" >&5
5ff904cd
JL
642echo "$ac_t""$ac_cv_prog_cc_cross" 1>&6
643cross_compiling=$ac_cv_prog_cc_cross
644
645echo $ac_n "checking whether we are using GNU C""... $ac_c" 1>&6
e9a25f70 646echo "configure:647: checking whether we are using GNU C" >&5
5ff904cd
JL
647if eval "test \"`echo '$''{'ac_cv_prog_gcc'+set}'`\" = set"; then
648 echo $ac_n "(cached) $ac_c" 1>&6
649else
650 cat > conftest.c <<EOF
651#ifdef __GNUC__
652 yes;
653#endif
654EOF
e9a25f70 655if { ac_try='${CC-cc} -E conftest.c'; { (eval echo configure:656: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }; } | egrep yes >/dev/null 2>&1; then
5ff904cd
JL
656 ac_cv_prog_gcc=yes
657else
658 ac_cv_prog_gcc=no
659fi
660fi
661
662echo "$ac_t""$ac_cv_prog_gcc" 1>&6
663
664if test $ac_cv_prog_gcc = yes; then
665 GCC=yes
666 ac_test_CFLAGS="${CFLAGS+set}"
667 ac_save_CFLAGS="$CFLAGS"
668 CFLAGS=
669 echo $ac_n "checking whether ${CC-cc} accepts -g""... $ac_c" 1>&6
e9a25f70 670echo "configure:671: checking whether ${CC-cc} accepts -g" >&5
5ff904cd
JL
671if eval "test \"`echo '$''{'ac_cv_prog_cc_g'+set}'`\" = set"; then
672 echo $ac_n "(cached) $ac_c" 1>&6
673else
674 echo 'void f(){}' > conftest.c
675if test -z "`${CC-cc} -g -c conftest.c 2>&1`"; then
676 ac_cv_prog_cc_g=yes
677else
678 ac_cv_prog_cc_g=no
679fi
680rm -f conftest*
681
682fi
683
684echo "$ac_t""$ac_cv_prog_cc_g" 1>&6
685 if test "$ac_test_CFLAGS" = set; then
686 CFLAGS="$ac_save_CFLAGS"
687 elif test $ac_cv_prog_cc_g = yes; then
688 CFLAGS="-g -O2"
689 else
690 CFLAGS="-O2"
691 fi
692else
693 GCC=
694 test "${CFLAGS+set}" = set || CFLAGS="-g"
695fi
696
697if test "$CROSS";then
698 ac_cv_c_cross=yes
699else
700 ac_cv_c_cross=no
701fi
702
703test "$AR" || AR=ar
704
705if test "$RANLIB"; then :
706
8ba0f41e
JW
707 if test -z "$RANLIB_TEST"; then
708 RANLIB_TEST=true
709 fi
5ff904cd
JL
710else
711 RANLIB_TEST=true
712 # Extract the first word of "ranlib", so it can be a program name with args.
713set dummy ranlib; ac_word=$2
714echo $ac_n "checking for $ac_word""... $ac_c" 1>&6
e9a25f70 715echo "configure:716: checking for $ac_word" >&5
5ff904cd
JL
716if eval "test \"`echo '$''{'ac_cv_prog_RANLIB'+set}'`\" = set"; then
717 echo $ac_n "(cached) $ac_c" 1>&6
718else
719 if test -n "$RANLIB"; then
720 ac_cv_prog_RANLIB="$RANLIB" # Let the user override the test.
721else
722 IFS="${IFS= }"; ac_save_ifs="$IFS"; IFS="${IFS}:"
723 for ac_dir in $PATH; do
724 test -z "$ac_dir" && ac_dir=.
725 if test -f $ac_dir/$ac_word; then
726 ac_cv_prog_RANLIB="ranlib"
727 break
728 fi
729 done
730 IFS="$ac_save_ifs"
731 test -z "$ac_cv_prog_RANLIB" && ac_cv_prog_RANLIB=":"
732fi
733fi
734RANLIB="$ac_cv_prog_RANLIB"
735if test -n "$RANLIB"; then
736 echo "$ac_t""$RANLIB" 1>&6
737else
738 echo "$ac_t""no" 1>&6
739fi
740
741fi
742
743
744
745
746# Sanity check for the cross-compilation case:
747echo $ac_n "checking how to run the C preprocessor""... $ac_c" 1>&6
e9a25f70 748echo "configure:749: checking how to run the C preprocessor" >&5
5ff904cd
JL
749# On Suns, sometimes $CPP names a directory.
750if test -n "$CPP" && test -d "$CPP"; then
751 CPP=
752fi
753if test -z "$CPP"; then
754if eval "test \"`echo '$''{'ac_cv_prog_CPP'+set}'`\" = set"; then
755 echo $ac_n "(cached) $ac_c" 1>&6
756else
757 # This must be in double quotes, not single quotes, because CPP may get
758 # substituted into the Makefile and "${CC-cc}" will confuse make.
759 CPP="${CC-cc} -E"
760 # On the NeXT, cc -E runs the code through the compiler's parser,
761 # not just through cpp.
762 cat > conftest.$ac_ext <<EOF
e9a25f70 763#line 764 "configure"
5ff904cd
JL
764#include "confdefs.h"
765#include <assert.h>
766Syntax Error
767EOF
768ac_try="$ac_cpp conftest.$ac_ext >/dev/null 2>conftest.out"
e9a25f70 769{ (eval echo configure:770: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
5ff904cd
JL
770ac_err=`grep -v '^ *+' conftest.out`
771if test -z "$ac_err"; then
772 :
773else
774 echo "$ac_err" >&5
775 echo "configure: failed program was:" >&5
776 cat conftest.$ac_ext >&5
777 rm -rf conftest*
778 CPP="${CC-cc} -E -traditional-cpp"
779 cat > conftest.$ac_ext <<EOF
e9a25f70 780#line 781 "configure"
5ff904cd
JL
781#include "confdefs.h"
782#include <assert.h>
783Syntax Error
784EOF
785ac_try="$ac_cpp conftest.$ac_ext >/dev/null 2>conftest.out"
e9a25f70 786{ (eval echo configure:787: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
5ff904cd
JL
787ac_err=`grep -v '^ *+' conftest.out`
788if test -z "$ac_err"; then
789 :
790else
791 echo "$ac_err" >&5
792 echo "configure: failed program was:" >&5
793 cat conftest.$ac_ext >&5
794 rm -rf conftest*
795 CPP=/lib/cpp
796fi
797rm -f conftest*
798fi
799rm -f conftest*
800 ac_cv_prog_CPP="$CPP"
801fi
802 CPP="$ac_cv_prog_CPP"
803else
804 ac_cv_prog_CPP="$CPP"
805fi
806echo "$ac_t""$CPP" 1>&6
807
808ac_safe=`echo "stdio.h" | sed 'y%./+-%__p_%'`
809echo $ac_n "checking for stdio.h""... $ac_c" 1>&6
e9a25f70 810echo "configure:811: checking for stdio.h" >&5
5ff904cd
JL
811if eval "test \"`echo '$''{'ac_cv_header_$ac_safe'+set}'`\" = set"; then
812 echo $ac_n "(cached) $ac_c" 1>&6
813else
814 cat > conftest.$ac_ext <<EOF
e9a25f70 815#line 816 "configure"
5ff904cd
JL
816#include "confdefs.h"
817#include <stdio.h>
818EOF
819ac_try="$ac_cpp conftest.$ac_ext >/dev/null 2>conftest.out"
e9a25f70 820{ (eval echo configure:821: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
5ff904cd
JL
821ac_err=`grep -v '^ *+' conftest.out`
822if test -z "$ac_err"; then
823 rm -rf conftest*
824 eval "ac_cv_header_$ac_safe=yes"
825else
826 echo "$ac_err" >&5
827 echo "configure: failed program was:" >&5
828 cat conftest.$ac_ext >&5
829 rm -rf conftest*
830 eval "ac_cv_header_$ac_safe=no"
831fi
832rm -f conftest*
833fi
834if eval "test \"`echo '$ac_cv_header_'$ac_safe`\" = yes"; then
835 echo "$ac_t""yes" 1>&6
836 :
837else
838 echo "$ac_t""no" 1>&6
839{ echo "configure: error: Can't find stdio.h.
840You must have a usable C system for the target already installed, at least
841including headers and, preferably, the library, before you can configure
842the G77 runtime system. If necessary, install gcc now with \`LANGUAGES=c',
843then the target library, then build with \`LANGUAGES=f77'." 1>&2; exit 1; }
844fi
845
846
847echo $ac_n "checking for ANSI C header files""... $ac_c" 1>&6
e9a25f70 848echo "configure:849: checking for ANSI C header files" >&5
5ff904cd
JL
849if eval "test \"`echo '$''{'ac_cv_header_stdc'+set}'`\" = set"; then
850 echo $ac_n "(cached) $ac_c" 1>&6
851else
852 cat > conftest.$ac_ext <<EOF
e9a25f70 853#line 854 "configure"
5ff904cd
JL
854#include "confdefs.h"
855#include <stdlib.h>
856#include <stdarg.h>
857#include <string.h>
858#include <float.h>
859EOF
860ac_try="$ac_cpp conftest.$ac_ext >/dev/null 2>conftest.out"
e9a25f70 861{ (eval echo configure:862: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
5ff904cd
JL
862ac_err=`grep -v '^ *+' conftest.out`
863if test -z "$ac_err"; then
864 rm -rf conftest*
865 ac_cv_header_stdc=yes
866else
867 echo "$ac_err" >&5
868 echo "configure: failed program was:" >&5
869 cat conftest.$ac_ext >&5
870 rm -rf conftest*
871 ac_cv_header_stdc=no
872fi
873rm -f conftest*
874
875if test $ac_cv_header_stdc = yes; then
876 # SunOS 4.x string.h does not declare mem*, contrary to ANSI.
877cat > conftest.$ac_ext <<EOF
e9a25f70 878#line 879 "configure"
5ff904cd
JL
879#include "confdefs.h"
880#include <string.h>
881EOF
882if (eval "$ac_cpp conftest.$ac_ext") 2>&5 |
883 egrep "memchr" >/dev/null 2>&1; then
884 :
885else
886 rm -rf conftest*
887 ac_cv_header_stdc=no
888fi
889rm -f conftest*
890
891fi
892
893if test $ac_cv_header_stdc = yes; then
894 # ISC 2.0.2 stdlib.h does not declare free, contrary to ANSI.
895cat > conftest.$ac_ext <<EOF
e9a25f70 896#line 897 "configure"
5ff904cd
JL
897#include "confdefs.h"
898#include <stdlib.h>
899EOF
900if (eval "$ac_cpp conftest.$ac_ext") 2>&5 |
901 egrep "free" >/dev/null 2>&1; then
902 :
903else
904 rm -rf conftest*
905 ac_cv_header_stdc=no
906fi
907rm -f conftest*
908
909fi
910
911if test $ac_cv_header_stdc = yes; then
912 # /bin/cc in Irix-4.0.5 gets non-ANSI ctype macros unless using -ansi.
913if test "$cross_compiling" = yes; then
914 :
915else
916 cat > conftest.$ac_ext <<EOF
e9a25f70 917#line 918 "configure"
5ff904cd
JL
918#include "confdefs.h"
919#include <ctype.h>
920#define ISLOWER(c) ('a' <= (c) && (c) <= 'z')
921#define TOUPPER(c) (ISLOWER(c) ? 'A' + ((c) - 'a') : (c))
922#define XOR(e, f) (((e) && !(f)) || (!(e) && (f)))
923int main () { int i; for (i = 0; i < 256; i++)
924if (XOR (islower (i), ISLOWER (i)) || toupper (i) != TOUPPER (i)) exit(2);
925exit (0); }
926
927EOF
e9a25f70 928if { (eval echo configure:929: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest && (./conftest; exit) 2>/dev/null
5ff904cd
JL
929then
930 :
931else
932 echo "configure: failed program was:" >&5
933 cat conftest.$ac_ext >&5
934 rm -fr conftest*
935 ac_cv_header_stdc=no
936fi
937rm -fr conftest*
938fi
939
940fi
941fi
942
943echo "$ac_t""$ac_cv_header_stdc" 1>&6
944if test $ac_cv_header_stdc = yes; then
945 cat >> confdefs.h <<\EOF
946#define STDC_HEADERS 1
947EOF
948
949fi
950
951
952
953echo $ac_n "checking for posix""... $ac_c" 1>&6
e9a25f70 954echo "configure:955: checking for posix" >&5
5ff904cd
JL
955if eval "test \"`echo '$''{'g77_cv_header_posix'+set}'`\" = set"; then
956 echo $ac_n "(cached) $ac_c" 1>&6
957else
958 cat > conftest.$ac_ext <<EOF
e9a25f70 959#line 960 "configure"
5ff904cd
JL
960#include "confdefs.h"
961#include <sys/types.h>
962#include <unistd.h>
963#ifdef _POSIX_VERSION
964 yes
965#endif
966
967EOF
968if (eval "$ac_cpp conftest.$ac_ext") 2>&5 |
969 egrep "yes" >/dev/null 2>&1; then
970 rm -rf conftest*
971 g77_cv_header_posix=yes
972else
973 rm -rf conftest*
974 g77_cv_header_posix=no
975fi
976rm -f conftest*
977
978fi
979
980echo "$ac_t""$g77_cv_header_posix" 1>&6
981
982# We can rely on the GNU library being posix-ish. I guess checking the
983# header isn't actually like checking the functions, though...
984echo $ac_n "checking for GNU library""... $ac_c" 1>&6
e9a25f70 985echo "configure:986: checking for GNU library" >&5
5ff904cd
JL
986if eval "test \"`echo '$''{'g77_cv_lib_gnu'+set}'`\" = set"; then
987 echo $ac_n "(cached) $ac_c" 1>&6
988else
989 cat > conftest.$ac_ext <<EOF
e9a25f70 990#line 991 "configure"
5ff904cd
JL
991#include "confdefs.h"
992#include <stdio.h>
993#ifdef __GNU_LIBRARY__
994 yes
995#endif
996
997EOF
998if (eval "$ac_cpp conftest.$ac_ext") 2>&5 |
999 egrep "yes" >/dev/null 2>&1; then
1000 rm -rf conftest*
1001 g77_cv_lib_gnu=yes
1002else
1003 rm -rf conftest*
1004 g77_cv_lib_gnu=no
1005fi
1006rm -f conftest*
1007
1008fi
1009
1010echo "$ac_t""$g77_cv_lib_gnu" 1>&6
1011
1012# Apparently cygwin needs to be special-cased.
1013echo $ac_n "checking for cyg\`win'32""... $ac_c" 1>&6
e9a25f70 1014echo "configure:1015: checking for cyg\`win'32" >&5
5ff904cd
JL
1015if eval "test \"`echo '$''{'g77_cv_sys_cygwin32'+set}'`\" = set"; then
1016 echo $ac_n "(cached) $ac_c" 1>&6
1017else
1018 cat > conftest.$ac_ext <<EOF
e9a25f70 1019#line 1020 "configure"
5ff904cd
JL
1020#include "confdefs.h"
1021#ifdef __CYGWIN32__
1022 yes
1023#endif
1024
1025EOF
1026if (eval "$ac_cpp conftest.$ac_ext") 2>&5 |
1027 egrep "yes" >/dev/null 2>&1; then
1028 rm -rf conftest*
1029 g77_cv_sys_cygwin32=yes
1030else
1031 rm -rf conftest*
1032 g77_cv_sys_cygwin32=no
1033fi
1034rm -f conftest*
1035
1036fi
1037
1038echo "$ac_t""$g77_cv_sys_cygwin32" 1>&6
1039
1040ac_safe=`echo "fcntl.h" | sed 'y%./+-%__p_%'`
1041echo $ac_n "checking for fcntl.h""... $ac_c" 1>&6
e9a25f70 1042echo "configure:1043: checking for fcntl.h" >&5
5ff904cd
JL
1043if eval "test \"`echo '$''{'ac_cv_header_$ac_safe'+set}'`\" = set"; then
1044 echo $ac_n "(cached) $ac_c" 1>&6
1045else
1046 cat > conftest.$ac_ext <<EOF
e9a25f70 1047#line 1048 "configure"
5ff904cd
JL
1048#include "confdefs.h"
1049#include <fcntl.h>
1050EOF
1051ac_try="$ac_cpp conftest.$ac_ext >/dev/null 2>conftest.out"
e9a25f70 1052{ (eval echo configure:1053: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
5ff904cd
JL
1053ac_err=`grep -v '^ *+' conftest.out`
1054if test -z "$ac_err"; then
1055 rm -rf conftest*
1056 eval "ac_cv_header_$ac_safe=yes"
1057else
1058 echo "$ac_err" >&5
1059 echo "configure: failed program was:" >&5
1060 cat conftest.$ac_ext >&5
1061 rm -rf conftest*
1062 eval "ac_cv_header_$ac_safe=no"
1063fi
1064rm -f conftest*
1065fi
1066if eval "test \"`echo '$ac_cv_header_'$ac_safe`\" = yes"; then
1067 echo "$ac_t""yes" 1>&6
1068 test $g77_cv_header_posix = yes && cat >> confdefs.h <<\EOF
1069#define _POSIX_SOURCE 1
1070EOF
1071
1072else
1073 echo "$ac_t""no" 1>&6
1074cat >> confdefs.h <<\EOF
1075#define NO_FCNTL 1
1076EOF
1077 cat >> confdefs.h <<\EOF
1078#define OPEN_DECL 1
1079EOF
1080
1081fi
1082
1083
1084echo $ac_n "checking for working const""... $ac_c" 1>&6
e9a25f70 1085echo "configure:1086: checking for working const" >&5
5ff904cd
JL
1086if eval "test \"`echo '$''{'ac_cv_c_const'+set}'`\" = set"; then
1087 echo $ac_n "(cached) $ac_c" 1>&6
1088else
1089 cat > conftest.$ac_ext <<EOF
e9a25f70 1090#line 1091 "configure"
5ff904cd
JL
1091#include "confdefs.h"
1092
1093int main() {
1094
1095/* Ultrix mips cc rejects this. */
1096typedef int charset[2]; const charset x;
1097/* SunOS 4.1.1 cc rejects this. */
1098char const *const *ccp;
1099char **p;
1100/* NEC SVR4.0.2 mips cc rejects this. */
1101struct point {int x, y;};
1102static struct point const zero = {0,0};
1103/* AIX XL C 1.02.0.0 rejects this.
1104 It does not let you subtract one const X* pointer from another in an arm
1105 of an if-expression whose if-part is not a constant expression */
1106const char *g = "string";
1107ccp = &g + (g ? g-g : 0);
1108/* HPUX 7.0 cc rejects these. */
1109++ccp;
1110p = (char**) ccp;
1111ccp = (char const *const *) p;
1112{ /* SCO 3.2v4 cc rejects this. */
1113 char *t;
1114 char const *s = 0 ? (char *) 0 : (char const *) 0;
1115
1116 *t++ = 0;
1117}
1118{ /* Someone thinks the Sun supposedly-ANSI compiler will reject this. */
1119 int x[] = {25, 17};
1120 const int *foo = &x[0];
1121 ++foo;
1122}
1123{ /* Sun SC1.0 ANSI compiler rejects this -- but not the above. */
1124 typedef const int *iptr;
1125 iptr p = 0;
1126 ++p;
1127}
1128{ /* AIX XL C 1.02.0.0 rejects this saying
1129 "k.c", line 2.27: 1506-025 (S) Operand must be a modifiable lvalue. */
1130 struct s { int j; const int *ap[3]; };
1131 struct s *b; b->j = 5;
1132}
1133{ /* ULTRIX-32 V3.1 (Rev 9) vcc rejects this */
1134 const int foo = 10;
1135}
1136
1137; return 0; }
1138EOF
e9a25f70 1139if { (eval echo configure:1140: \"$ac_compile\") 1>&5; (eval $ac_compile) 2>&5; }; then
5ff904cd
JL
1140 rm -rf conftest*
1141 ac_cv_c_const=yes
1142else
1143 echo "configure: failed program was:" >&5
1144 cat conftest.$ac_ext >&5
1145 rm -rf conftest*
1146 ac_cv_c_const=no
1147fi
1148rm -f conftest*
1149fi
1150
1151echo "$ac_t""$ac_cv_c_const" 1>&6
1152if test $ac_cv_c_const = no; then
1153 cat >> confdefs.h <<\EOF
1154#define const
1155EOF
1156
1157fi
1158
1159echo $ac_n "checking for size_t""... $ac_c" 1>&6
e9a25f70 1160echo "configure:1161: checking for size_t" >&5
5ff904cd
JL
1161if eval "test \"`echo '$''{'ac_cv_type_size_t'+set}'`\" = set"; then
1162 echo $ac_n "(cached) $ac_c" 1>&6
1163else
1164 cat > conftest.$ac_ext <<EOF
e9a25f70 1165#line 1166 "configure"
5ff904cd
JL
1166#include "confdefs.h"
1167#include <sys/types.h>
1168#if STDC_HEADERS
1169#include <stdlib.h>
1170#include <stddef.h>
1171#endif
1172EOF
1173if (eval "$ac_cpp conftest.$ac_ext") 2>&5 |
1174 egrep "size_t[^a-zA-Z_0-9]" >/dev/null 2>&1; then
1175 rm -rf conftest*
1176 ac_cv_type_size_t=yes
1177else
1178 rm -rf conftest*
1179 ac_cv_type_size_t=no
1180fi
1181rm -f conftest*
1182
1183fi
1184echo "$ac_t""$ac_cv_type_size_t" 1>&6
1185if test $ac_cv_type_size_t = no; then
1186 cat >> confdefs.h <<\EOF
1187#define size_t unsigned
1188EOF
1189
1190fi
1191
1192
1193echo $ac_n "checking return type of signal handlers""... $ac_c" 1>&6
e9a25f70 1194echo "configure:1195: checking return type of signal handlers" >&5
5ff904cd
JL
1195if eval "test \"`echo '$''{'ac_cv_type_signal'+set}'`\" = set"; then
1196 echo $ac_n "(cached) $ac_c" 1>&6
1197else
1198 cat > conftest.$ac_ext <<EOF
e9a25f70 1199#line 1200 "configure"
5ff904cd
JL
1200#include "confdefs.h"
1201#include <sys/types.h>
1202#include <signal.h>
1203#ifdef signal
1204#undef signal
1205#endif
1206#ifdef __cplusplus
1207extern "C" void (*signal (int, void (*)(int)))(int);
1208#else
1209void (*signal ()) ();
1210#endif
1211
1212int main() {
1213int i;
1214; return 0; }
1215EOF
e9a25f70 1216if { (eval echo configure:1217: \"$ac_compile\") 1>&5; (eval $ac_compile) 2>&5; }; then
5ff904cd
JL
1217 rm -rf conftest*
1218 ac_cv_type_signal=void
1219else
1220 echo "configure: failed program was:" >&5
1221 cat conftest.$ac_ext >&5
1222 rm -rf conftest*
1223 ac_cv_type_signal=int
1224fi
1225rm -f conftest*
1226fi
1227
1228echo "$ac_t""$ac_cv_type_signal" 1>&6
1229cat >> confdefs.h <<EOF
1230#define RETSIGTYPE $ac_cv_type_signal
1231EOF
1232
1233
1234# we'll get atexit by default
1235if test $ac_cv_header_stdc != yes; then
1236echo $ac_n "checking for atexit""... $ac_c" 1>&6
e9a25f70 1237echo "configure:1238: checking for atexit" >&5
5ff904cd
JL
1238if eval "test \"`echo '$''{'ac_cv_func_atexit'+set}'`\" = set"; then
1239 echo $ac_n "(cached) $ac_c" 1>&6
1240else
1241 cat > conftest.$ac_ext <<EOF
e9a25f70 1242#line 1243 "configure"
5ff904cd
JL
1243#include "confdefs.h"
1244/* System header to define __stub macros and hopefully few prototypes,
1245 which can conflict with char atexit(); below. */
1246#include <assert.h>
1247/* Override any gcc2 internal prototype to avoid an error. */
1248/* We use char because int might match the return type of a gcc2
1249 builtin and then its argument prototype would still apply. */
1250char atexit();
1251
1252int main() {
1253
1254/* The GNU C library defines this for functions which it implements
1255 to always fail with ENOSYS. Some functions are actually named
1256 something starting with __ and the normal name is an alias. */
1257#if defined (__stub_atexit) || defined (__stub___atexit)
1258choke me
1259#else
1260atexit();
1261#endif
1262
1263; return 0; }
1264EOF
e9a25f70 1265if { (eval echo configure:1266: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest; then
5ff904cd
JL
1266 rm -rf conftest*
1267 eval "ac_cv_func_atexit=yes"
1268else
1269 echo "configure: failed program was:" >&5
1270 cat conftest.$ac_ext >&5
1271 rm -rf conftest*
1272 eval "ac_cv_func_atexit=no"
1273fi
1274rm -f conftest*
1275fi
1276
1277if eval "test \"`echo '$ac_cv_func_'atexit`\" = yes"; then
1278 echo "$ac_t""yes" 1>&6
1279 cat >> confdefs.h <<\EOF
1280#define onexit atexit
1281EOF
1282
1283else
1284 echo "$ac_t""no" 1>&6
1285 cat >> confdefs.h <<\EOF
1286#define NO_ONEXIT 1
1287EOF
1288
1289 echo $ac_n "checking for onexit""... $ac_c" 1>&6
e9a25f70 1290echo "configure:1291: checking for onexit" >&5
5ff904cd
JL
1291if eval "test \"`echo '$''{'ac_cv_func_onexit'+set}'`\" = set"; then
1292 echo $ac_n "(cached) $ac_c" 1>&6
1293else
1294 cat > conftest.$ac_ext <<EOF
e9a25f70 1295#line 1296 "configure"
5ff904cd
JL
1296#include "confdefs.h"
1297/* System header to define __stub macros and hopefully few prototypes,
1298 which can conflict with char onexit(); below. */
1299#include <assert.h>
1300/* Override any gcc2 internal prototype to avoid an error. */
1301/* We use char because int might match the return type of a gcc2
1302 builtin and then its argument prototype would still apply. */
1303char onexit();
1304
1305int main() {
1306
1307/* The GNU C library defines this for functions which it implements
1308 to always fail with ENOSYS. Some functions are actually named
1309 something starting with __ and the normal name is an alias. */
1310#if defined (__stub_onexit) || defined (__stub___onexit)
1311choke me
1312#else
1313onexit();
1314#endif
1315
1316; return 0; }
1317EOF
e9a25f70 1318if { (eval echo configure:1319: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest; then
5ff904cd
JL
1319 rm -rf conftest*
1320 eval "ac_cv_func_onexit=yes"
1321else
1322 echo "configure: failed program was:" >&5
1323 cat conftest.$ac_ext >&5
1324 rm -rf conftest*
1325 eval "ac_cv_func_onexit=no"
1326fi
1327rm -f conftest*
1328fi
1329
1330if eval "test \"`echo '$ac_cv_func_'onexit`\" = yes"; then
1331 echo "$ac_t""yes" 1>&6
1332 :
1333else
1334 echo "$ac_t""no" 1>&6
1335echo $ac_n "checking for on_exit""... $ac_c" 1>&6
e9a25f70 1336echo "configure:1337: checking for on_exit" >&5
5ff904cd
JL
1337if eval "test \"`echo '$''{'ac_cv_func_on_exit'+set}'`\" = set"; then
1338 echo $ac_n "(cached) $ac_c" 1>&6
1339else
1340 cat > conftest.$ac_ext <<EOF
e9a25f70 1341#line 1342 "configure"
5ff904cd
JL
1342#include "confdefs.h"
1343/* System header to define __stub macros and hopefully few prototypes,
1344 which can conflict with char on_exit(); below. */
1345#include <assert.h>
1346/* Override any gcc2 internal prototype to avoid an error. */
1347/* We use char because int might match the return type of a gcc2
1348 builtin and then its argument prototype would still apply. */
1349char on_exit();
1350
1351int main() {
1352
1353/* The GNU C library defines this for functions which it implements
1354 to always fail with ENOSYS. Some functions are actually named
1355 something starting with __ and the normal name is an alias. */
1356#if defined (__stub_on_exit) || defined (__stub___on_exit)
1357choke me
1358#else
1359on_exit();
1360#endif
1361
1362; return 0; }
1363EOF
e9a25f70 1364if { (eval echo configure:1365: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest; then
5ff904cd
JL
1365 rm -rf conftest*
1366 eval "ac_cv_func_on_exit=yes"
1367else
1368 echo "configure: failed program was:" >&5
1369 cat conftest.$ac_ext >&5
1370 rm -rf conftest*
1371 eval "ac_cv_func_on_exit=no"
1372fi
1373rm -f conftest*
1374fi
1375
1376if eval "test \"`echo '$ac_cv_func_'on_exit`\" = yes"; then
1377 echo "$ac_t""yes" 1>&6
1378 cat >> confdefs.h <<\EOF
1379#define onexit on_exit
1380EOF
1381
1382else
1383 echo "$ac_t""no" 1>&6
1384fi
1385
1386fi
1387
1388fi
1389
1390else true
1391fi
1392
1393# This should always succeed on unix.
1394# Apparently positive result on cygwin loses re. NON_UNIX_STDIO
1395# (as of cygwin b18).
1396echo $ac_n "checking for fstat""... $ac_c" 1>&6
e9a25f70 1397echo "configure:1398: checking for fstat" >&5
5ff904cd
JL
1398if eval "test \"`echo '$''{'ac_cv_func_fstat'+set}'`\" = set"; then
1399 echo $ac_n "(cached) $ac_c" 1>&6
1400else
1401 cat > conftest.$ac_ext <<EOF
e9a25f70 1402#line 1403 "configure"
5ff904cd
JL
1403#include "confdefs.h"
1404/* System header to define __stub macros and hopefully few prototypes,
1405 which can conflict with char fstat(); below. */
1406#include <assert.h>
1407/* Override any gcc2 internal prototype to avoid an error. */
1408/* We use char because int might match the return type of a gcc2
1409 builtin and then its argument prototype would still apply. */
1410char fstat();
1411
1412int main() {
1413
1414/* The GNU C library defines this for functions which it implements
1415 to always fail with ENOSYS. Some functions are actually named
1416 something starting with __ and the normal name is an alias. */
1417#if defined (__stub_fstat) || defined (__stub___fstat)
1418choke me
1419#else
1420fstat();
1421#endif
1422
1423; return 0; }
1424EOF
e9a25f70 1425if { (eval echo configure:1426: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest; then
5ff904cd
JL
1426 rm -rf conftest*
1427 eval "ac_cv_func_fstat=yes"
1428else
1429 echo "configure: failed program was:" >&5
1430 cat conftest.$ac_ext >&5
1431 rm -rf conftest*
1432 eval "ac_cv_func_fstat=no"
1433fi
1434rm -f conftest*
1435fi
1436
1437if eval "test \"`echo '$ac_cv_func_'fstat`\" = yes"; then
1438 echo "$ac_t""yes" 1>&6
1439 :
1440else
1441 echo "$ac_t""no" 1>&6
1442fi
1443
1444echo $ac_n "checking need for NON_UNIX_STDIO""... $ac_c" 1>&6
e9a25f70 1445echo "configure:1446: checking need for NON_UNIX_STDIO" >&5
5ff904cd
JL
1446if test $g77_cv_sys_cygwin32 = yes || test $ac_cv_func_fstat = no; then
1447 echo "$ac_t""yes" 1>&6
1448 cat >> confdefs.h <<\EOF
1449#define NON_UNIX_STDIO 1
1450EOF
1451
1452else
1453 echo "$ac_t""no" 1>&6
1454fi
1455
1456# This is necessary for e.g. Linux:
1457echo $ac_n "checking for necessary members of struct FILE""... $ac_c" 1>&6
e9a25f70 1458echo "configure:1459: checking for necessary members of struct FILE" >&5
5ff904cd
JL
1459if eval "test \"`echo '$''{'g77_cv_struct_FILE'+set}'`\" = set"; then
1460 echo $ac_n "(cached) $ac_c" 1>&6
1461else
1462 cat > conftest.$ac_ext <<EOF
e9a25f70 1463#line 1464 "configure"
5ff904cd
JL
1464#include "confdefs.h"
1465#include <stdio.h>
1466int main() {
1467FILE s; s._ptr; s._base; s._flag;
1468; return 0; }
1469EOF
e9a25f70 1470if { (eval echo configure:1471: \"$ac_compile\") 1>&5; (eval $ac_compile) 2>&5; }; then
5ff904cd
JL
1471 rm -rf conftest*
1472 g77_cv_struct_FILE=yes
1473else
1474 echo "configure: failed program was:" >&5
1475 cat conftest.$ac_ext >&5
1476 rm -rf conftest*
1477 g77_cv_struct_FILE=no
1478fi
1479rm -f conftest*
1480fi
1481echo "$ac_t""$g77_cv_struct_FILE" 1>&6
1482if test $g77_cv_struct_FILE = no; then
1483 cat >> confdefs.h <<\EOF
1484#define MISSING_FILE_ELEMS 1
1485EOF
1486
1487fi
1488
1489echo $ac_n "checking for drem in -lm""... $ac_c" 1>&6
e9a25f70 1490echo "configure:1491: checking for drem in -lm" >&5
5ff904cd
JL
1491ac_lib_var=`echo m'_'drem | sed 'y%./+-%__p_%'`
1492if eval "test \"`echo '$''{'ac_cv_lib_$ac_lib_var'+set}'`\" = set"; then
1493 echo $ac_n "(cached) $ac_c" 1>&6
1494else
1495 ac_save_LIBS="$LIBS"
1496LIBS="-lm $LIBS"
1497cat > conftest.$ac_ext <<EOF
e9a25f70 1498#line 1499 "configure"
5ff904cd
JL
1499#include "confdefs.h"
1500/* Override any gcc2 internal prototype to avoid an error. */
1501/* We use char because int might match the return type of a gcc2
1502 builtin and then its argument prototype would still apply. */
1503char drem();
1504
1505int main() {
1506drem()
1507; return 0; }
1508EOF
e9a25f70 1509if { (eval echo configure:1510: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest; then
5ff904cd
JL
1510 rm -rf conftest*
1511 eval "ac_cv_lib_$ac_lib_var=yes"
1512else
1513 echo "configure: failed program was:" >&5
1514 cat conftest.$ac_ext >&5
1515 rm -rf conftest*
1516 eval "ac_cv_lib_$ac_lib_var=no"
1517fi
1518rm -f conftest*
1519LIBS="$ac_save_LIBS"
1520
1521fi
1522if eval "test \"`echo '$ac_cv_lib_'$ac_lib_var`\" = yes"; then
1523 echo "$ac_t""yes" 1>&6
1524 cat >> confdefs.h <<\EOF
1525#define IEEE_drem 1
1526EOF
1527
1528else
1529 echo "$ac_t""no" 1>&6
1530fi
1531
1532
1533
1534# posix will guarantee the right behaviour for sprintf, else we can't be
1535# sure; HEADER_STDC wouldn't be the right check in sunos4, for instance.
1536# However, on my sunos4/gcc setup unistd.h leads us wrongly to believe
1537# we're posix-conformant, so always do the test.
1538echo $ac_n "checking for ansi/posix sprintf result""... $ac_c" 1>&6
e9a25f70 1539echo "configure:1540: checking for ansi/posix sprintf result" >&5
5ff904cd
JL
1540if test "$cross_compiling" = yes; then
1541 g77_cv_sys_sprintf_ansi=no
1542else
1543 cat > conftest.$ac_ext <<EOF
e9a25f70 1544#line 1545 "configure"
5ff904cd
JL
1545#include "confdefs.h"
1546 #include <stdio.h>
1547 /* does sprintf return the number of chars transferred? */
1548 main () {char foo[2]; (sprintf(foo, "1") == 1) ? exit(0) : exit(1);}
1549
1550EOF
e9a25f70 1551if { (eval echo configure:1552: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest && (./conftest; exit) 2>/dev/null
5ff904cd
JL
1552then
1553 g77_cv_sys_sprintf_ansi=yes
1554else
1555 echo "configure: failed program was:" >&5
1556 cat conftest.$ac_ext >&5
1557 rm -fr conftest*
1558 g77_cv_sys_sprintf_ansi=no
1559fi
1560rm -fr conftest*
1561fi
1562
1563if eval "test \"`echo '$''{'g77_cv_sys_sprintf_ansi'+set}'`\" = set"; then
1564 echo $ac_n "(cached) $ac_c" 1>&6
1565else
1566 g77_cv_sys_sprintf_ansi=$g77_cv_sys_sprintf_ansi
1567fi
1568
1569if test $ac_cv_c_cross = no; then
1570 echo "$ac_t""$g77_cv_sys_sprintf_ansi" 1>&6
1571else
1572 echo "$ac_t""can't tell -- assuming no" 1>&6
1573fi
1574# The cygwin patch takes steps to avoid defining USE_STRLEN here -- I don't
1575# understand why.
1576if test $g77_cv_sys_sprintf_ansi != yes; then
1577 cat >> confdefs.h <<\EOF
1578#define USE_STRLEN 1
1579EOF
1580
1581fi
1582
1583# define NON_ANSI_RW_MODES on unix (can't hurt)
1584echo $ac_n "checking NON_ANSI_RW_MODES""... $ac_c" 1>&6
e9a25f70 1585echo "configure:1586: checking NON_ANSI_RW_MODES" >&5
5ff904cd 1586cat > conftest.$ac_ext <<EOF
e9a25f70 1587#line 1588 "configure"
5ff904cd
JL
1588#include "confdefs.h"
1589#ifdef unix
1590 yes
1591#endif
1592#ifdef __unix
1593 yes
1594#endif
1595#ifdef __unix__
1596 yes
1597#endif
1598
1599EOF
1600if (eval "$ac_cpp conftest.$ac_ext") 2>&5 |
1601 egrep "yes" >/dev/null 2>&1; then
1602 rm -rf conftest*
1603 is_unix=yes
1604else
1605 rm -rf conftest*
1606 is_unix=no
1607fi
1608rm -f conftest*
1609
1610if test $g77_cv_sys_cygwin32 = yes; then
1611 echo "$ac_t""no" 1>&6
1612else
1613 if test $is_unix = yes; then
1614 cat >> confdefs.h <<\EOF
1615#define NON_ANSI_RW_MODES 1
1616EOF
1617
1618 echo "$ac_t""yes" 1>&6
1619 else
1620 echo "$ac_t""no" 1>&6
1621 fi
1622fi
1623
1624# We have to firkle with the info in hconfig.h to figure out suitable types
1625# (via com.h). proj.h and com.h are in $srcdir/.., config.h which they need
1626# is in ../.. and the config files are in $srcdir/../../config.
1627echo $ac_n "checking f2c integer type""... $ac_c" 1>&6
e9a25f70 1628echo "configure:1629: checking f2c integer type" >&5
5ff904cd
JL
1629late_ac_cpp=$ac_cpp
1630ac_cpp="$late_ac_cpp -I$srcdir/.. -I../.. -I$srcdir/../.. -I$srcdir/../../config"
1631if eval "test \"`echo '$''{'g77_cv_sys_f2cinteger'+set}'`\" = set"; then
1632 echo $ac_n "(cached) $ac_c" 1>&6
1633else
1634 cat > conftest.$ac_ext <<EOF
e9a25f70 1635#line 1636 "configure"
5ff904cd
JL
1636#include "confdefs.h"
1637#include "proj.h"
1638#define FFECOM_DETERMINE_TYPES 1
1639#include "com.h"
1640#if FFECOM_f2cINTEGER == FFECOM_f2ccodeLONG
1641F2C_INTEGER=long int
1642#elif FFECOM_f2cINTEGER == FFECOM_f2ccodeINT
1643F2C_INTEGER=int
1644#else
1645# error "Cannot find a suitable type for F2C_INTEGER"
1646#endif
1647
1648EOF
1649if (eval "$ac_cpp conftest.$ac_ext") 2>&5 |
1650 egrep "F2C_INTEGER=long int" >/dev/null 2>&1; then
1651 rm -rf conftest*
1652 g77_cv_sys_f2cinteger="long int"
1653fi
1654rm -f conftest*
1655
1656if test "$g77_cv_sys_f2cinteger" = ""; then
1657 cat > conftest.$ac_ext <<EOF
e9a25f70 1658#line 1659 "configure"
5ff904cd
JL
1659#include "confdefs.h"
1660#include "proj.h"
1661#define FFECOM_DETERMINE_TYPES 1
1662#include "com.h"
1663#if FFECOM_f2cINTEGER == FFECOM_f2ccodeLONG
1664F2C_INTEGER=long int
1665#elif FFECOM_f2cINTEGER == FFECOM_f2ccodeINT
1666F2C_INTEGER=int
1667#else
1668# error "Cannot find a suitable type for F2C_INTEGER"
1669#endif
1670
1671EOF
1672if (eval "$ac_cpp conftest.$ac_ext") 2>&5 |
1673 egrep "F2C_INTEGER=int" >/dev/null 2>&1; then
1674 rm -rf conftest*
1675 g77_cv_sys_f2cinteger=int
1676fi
1677rm -f conftest*
1678
1679fi
1680if test "$g77_cv_sys_f2cinteger" = ""; then
1681 echo "$ac_t""""" 1>&6
1682 { echo "configure: error: Can't determine type for f2c integer; config.log may help." 1>&2; exit 1; }
1683fi
1684
1685fi
1686
1687echo "$ac_t""$g77_cv_sys_f2cinteger" 1>&6
1688F2C_INTEGER=$g77_cv_sys_f2cinteger
1689ac_cpp=$late_ac_cpp
1690
1691
1692echo $ac_n "checking f2c long int type""... $ac_c" 1>&6
e9a25f70 1693echo "configure:1694: checking f2c long int type" >&5
5ff904cd
JL
1694late_ac_cpp=$ac_cpp
1695ac_cpp="$late_ac_cpp -I$srcdir/.. -I../.. -I$srcdir/../.. -I$srcdir/../../config"
1696if eval "test \"`echo '$''{'g77_cv_sys_f2clongint'+set}'`\" = set"; then
1697 echo $ac_n "(cached) $ac_c" 1>&6
1698else
1699 cat > conftest.$ac_ext <<EOF
e9a25f70 1700#line 1701 "configure"
5ff904cd
JL
1701#include "confdefs.h"
1702#include "proj.h"
1703#define FFECOM_DETERMINE_TYPES 1
1704#include "com.h"
1705#if FFECOM_f2cLONGINT == FFECOM_f2ccodeLONG
1706F2C_LONGINT=long int
1707#elif FFECOM_f2cLONGINT == FFECOM_f2ccodeLONGLONG
1708F2C_LONGINT=long long int
1709#else
1710# error "Cannot find a suitable type for F2C_LONGINT"
1711#endif
1712
1713EOF
1714if (eval "$ac_cpp conftest.$ac_ext") 2>&5 |
1715 egrep "F2C_LONGINT=long int" >/dev/null 2>&1; then
1716 rm -rf conftest*
1717 g77_cv_sys_f2clongint="long int"
1718fi
1719rm -f conftest*
1720
1721if test "$g77_cv_sys_f2clongint" = ""; then
1722 cat > conftest.$ac_ext <<EOF
e9a25f70 1723#line 1724 "configure"
5ff904cd
JL
1724#include "confdefs.h"
1725#include "proj.h"
1726#define FFECOM_DETERMINE_TYPES 1
1727#include "com.h"
1728#if FFECOM_f2cLONGINT == FFECOM_f2ccodeLONG
1729F2C_LONGINT=long int
1730#elif FFECOM_f2cLONGINT == FFECOM_f2ccodeLONGLONG
1731F2C_LONGINT=long long int
1732#else
1733# error "Cannot find a suitable type for F2C_LONGINT"
1734#endif
1735
1736EOF
1737if (eval "$ac_cpp conftest.$ac_ext") 2>&5 |
1738 egrep "F2C_LONGINT=long long int" >/dev/null 2>&1; then
1739 rm -rf conftest*
1740 g77_cv_sys_f2clongint="long long int"
1741fi
1742rm -f conftest*
1743
1744fi
1745if test "$g77_cv_sys_f2clongint" = ""; then
1746 echo "$ac_t""""" 1>&6
1747 { echo "configure: error: Can't determine type for f2c long int; config.log may help." 1>&2; exit 1; }
1748fi
1749
1750fi
1751
1752echo "$ac_t""$g77_cv_sys_f2clongint" 1>&6
1753F2C_LONGINT=$g77_cv_sys_f2clongint
1754ac_cpp=$late_ac_cpp
1755
1756
1757
1758
1759
1760
1761# This EOF_CHAR is a misfeature on unix.
1762cat >> confdefs.h <<\EOF
1763#define NO_EOF_CHAR_CHECK 1
1764EOF
1765
1766
1767cat >> confdefs.h <<\EOF
1768#define Skip_f2c_Undefs 1
1769EOF
1770
1771
1772
1773
1774
1775cat >> confdefs.h <<\EOF
1776#define Pad_UDread 1
1777EOF
1778
1779
1780
1781
1782
1783cat >> confdefs.h <<\EOF
1784#define WANT_LEAD_0 1
1785EOF
1786
1787
1788# avoid confusion in case the `makefile's from the f2c distribution have
1789# got put here
1790test -f libF77/makefile && mv libF77/makefile libF77/makefile.ori
1791test -f libI77/makefile && mv libI77/makefile libI77/makefile.ori
1792test -f libU77/makefile && mv libU77/makefile libU77/makefile.ori
1793
1794trap '' 1 2 15
1795cat > confcache <<\EOF
1796# This file is a shell script that caches the results of configure
1797# tests run on this system so they can be shared between configure
1798# scripts and configure runs. It is not useful on other systems.
1799# If it contains results you don't want to keep, you may remove or edit it.
1800#
1801# By default, configure uses ./config.cache as the cache file,
1802# creating it if it does not exist already. You can give configure
1803# the --cache-file=FILE option to use a different cache file; that is
1804# what configure does when it calls configure scripts in
1805# subdirectories, so they share the cache.
1806# Giving --cache-file=/dev/null disables caching, for debugging configure.
1807# config.status only pays attention to the cache file if you give it the
1808# --recheck option to rerun configure.
1809#
1810EOF
1811# The following way of writing the cache mishandles newlines in values,
1812# but we know of no workaround that is simple, portable, and efficient.
1813# So, don't put newlines in cache variables' values.
1814# Ultrix sh set writes to stderr and can't be redirected directly,
1815# and sets the high bit in the cache file unless we assign to the vars.
1816(set) 2>&1 |
e9a25f70 1817 case `(ac_space=' '; set) 2>&1 | grep ac_space` in
5ff904cd
JL
1818 *ac_space=\ *)
1819 # `set' does not quote correctly, so add quotes (double-quote substitution
1820 # turns \\\\ into \\, and sed turns \\ into \).
1821 sed -n \
1822 -e "s/'/'\\\\''/g" \
1823 -e "s/^\\([a-zA-Z0-9_]*_cv_[a-zA-Z0-9_]*\\)=\\(.*\\)/\\1=\${\\1='\\2'}/p"
1824 ;;
1825 *)
1826 # `set' quotes correctly as required by POSIX, so do not add quotes.
1827 sed -n -e 's/^\([a-zA-Z0-9_]*_cv_[a-zA-Z0-9_]*\)=\(.*\)/\1=${\1=\2}/p'
1828 ;;
1829 esac >> confcache
1830if cmp -s $cache_file confcache; then
1831 :
1832else
1833 if test -w $cache_file; then
1834 echo "updating cache $cache_file"
1835 cat confcache > $cache_file
1836 else
1837 echo "not updating unwritable cache $cache_file"
1838 fi
1839fi
1840rm -f confcache
1841
1842trap 'rm -fr conftest* confdefs* core core.* *.core $ac_clean_files; exit 1' 1 2 15
1843
1844test "x$prefix" = xNONE && prefix=$ac_default_prefix
1845# Let make expand exec_prefix.
1846test "x$exec_prefix" = xNONE && exec_prefix='${prefix}'
1847
1848# Any assignment to VPATH causes Sun make to only execute
1849# the first set of double-colon rules, so remove it if not needed.
1850# If there is a colon in the path, we need to keep it.
1851if test "x$srcdir" = x.; then
1852 ac_vpsub='/^[ ]*VPATH[ ]*=[^:]*$/d'
1853fi
1854
1855trap 'rm -f $CONFIG_STATUS conftest*; exit 1' 1 2 15
1856
1857# Transform confdefs.h into DEFS.
1858# Protect against shell expansion while executing Makefile rules.
1859# Protect against Makefile macro expansion.
1860cat > conftest.defs <<\EOF
1861s%#define \([A-Za-z_][A-Za-z0-9_]*\) *\(.*\)%-D\1=\2%g
1862s%[ `~#$^&*(){}\\|;'"<>?]%\\&%g
1863s%\[%\\&%g
1864s%\]%\\&%g
1865s%\$%$$%g
1866EOF
1867DEFS=`sed -f conftest.defs confdefs.h | tr '\012' ' '`
1868rm -f conftest.defs
1869
1870
1871# Without the "./", some shells look in PATH for config.status.
1872: ${CONFIG_STATUS=./config.status}
1873
1874echo creating $CONFIG_STATUS
1875rm -f $CONFIG_STATUS
1876cat > $CONFIG_STATUS <<EOF
1877#! /bin/sh
1878# Generated automatically by configure.
1879# Run this file to recreate the current configuration.
1880# This directory was configured as follows,
1881# on host `(hostname || uname -n) 2>/dev/null | sed 1q`:
1882#
1883# $0 $ac_configure_args
1884#
1885# Compiler output produced by configure, useful for debugging
1886# configure, is in ./config.log if it exists.
1887
1888ac_cs_usage="Usage: $CONFIG_STATUS [--recheck] [--version] [--help]"
1889for ac_option
1890do
1891 case "\$ac_option" in
1892 -recheck | --recheck | --rechec | --reche | --rech | --rec | --re | --r)
1893 echo "running \${CONFIG_SHELL-/bin/sh} $0 $ac_configure_args --no-create --no-recursion"
1894 exec \${CONFIG_SHELL-/bin/sh} $0 $ac_configure_args --no-create --no-recursion ;;
1895 -version | --version | --versio | --versi | --vers | --ver | --ve | --v)
e9a25f70 1896 echo "$CONFIG_STATUS generated by autoconf version 2.12.1"
5ff904cd
JL
1897 exit 0 ;;
1898 -help | --help | --hel | --he | --h)
1899 echo "\$ac_cs_usage"; exit 0 ;;
1900 *) echo "\$ac_cs_usage"; exit 1 ;;
1901 esac
1902done
1903
1904ac_given_srcdir=$srcdir
1905
1906trap 'rm -fr `echo "Makefile ../../include/f2c.h:f2c.h.in libI77/Makefile libF77/Makefile libU77/Makefile" | sed "s/:[^ ]*//g"` conftest*; exit 1' 1 2 15
1907EOF
1908cat >> $CONFIG_STATUS <<EOF
1909
1910# Protect against being on the right side of a sed subst in config.status.
1911sed 's/%@/@@/; s/@%/@@/; s/%g\$/@g/; /@g\$/s/[\\\\&%]/\\\\&/g;
1912 s/@@/%@/; s/@@/@%/; s/@g\$/%g/' > conftest.subs <<\\CEOF
1913$ac_vpsub
1914$extrasub
e9a25f70 1915s%@SHELL@%$SHELL%g
5ff904cd
JL
1916s%@CFLAGS@%$CFLAGS%g
1917s%@CPPFLAGS@%$CPPFLAGS%g
1918s%@CXXFLAGS@%$CXXFLAGS%g
1919s%@DEFS@%$DEFS%g
1920s%@LDFLAGS@%$LDFLAGS%g
1921s%@LIBS@%$LIBS%g
1922s%@exec_prefix@%$exec_prefix%g
1923s%@prefix@%$prefix%g
1924s%@program_transform_name@%$program_transform_name%g
1925s%@bindir@%$bindir%g
1926s%@sbindir@%$sbindir%g
1927s%@libexecdir@%$libexecdir%g
1928s%@datadir@%$datadir%g
1929s%@sysconfdir@%$sysconfdir%g
1930s%@sharedstatedir@%$sharedstatedir%g
1931s%@localstatedir@%$localstatedir%g
1932s%@libdir@%$libdir%g
1933s%@includedir@%$includedir%g
1934s%@oldincludedir@%$oldincludedir%g
1935s%@infodir@%$infodir%g
1936s%@mandir@%$mandir%g
1937s%@CC@%$CC%g
1938s%@AR@%$AR%g
1939s%@RANLIB@%$RANLIB%g
1940s%@RANLIB_TEST@%$RANLIB_TEST%g
1941s%@CPP@%$CPP%g
1942s%@F2C_INTEGER@%$F2C_INTEGER%g
1943s%@F2C_LONGINT@%$F2C_LONGINT%g
1944s%@CROSS@%$CROSS%g
1945
1946CEOF
1947EOF
1948
1949cat >> $CONFIG_STATUS <<\EOF
1950
1951# Split the substitutions into bite-sized pieces for seds with
1952# small command number limits, like on Digital OSF/1 and HP-UX.
1953ac_max_sed_cmds=90 # Maximum number of lines to put in a sed script.
1954ac_file=1 # Number of current file.
1955ac_beg=1 # First line for current file.
1956ac_end=$ac_max_sed_cmds # Line after last line for current file.
1957ac_more_lines=:
1958ac_sed_cmds=""
1959while $ac_more_lines; do
1960 if test $ac_beg -gt 1; then
1961 sed "1,${ac_beg}d; ${ac_end}q" conftest.subs > conftest.s$ac_file
1962 else
1963 sed "${ac_end}q" conftest.subs > conftest.s$ac_file
1964 fi
1965 if test ! -s conftest.s$ac_file; then
1966 ac_more_lines=false
1967 rm -f conftest.s$ac_file
1968 else
1969 if test -z "$ac_sed_cmds"; then
1970 ac_sed_cmds="sed -f conftest.s$ac_file"
1971 else
1972 ac_sed_cmds="$ac_sed_cmds | sed -f conftest.s$ac_file"
1973 fi
1974 ac_file=`expr $ac_file + 1`
1975 ac_beg=$ac_end
1976 ac_end=`expr $ac_end + $ac_max_sed_cmds`
1977 fi
1978done
1979if test -z "$ac_sed_cmds"; then
1980 ac_sed_cmds=cat
1981fi
1982EOF
1983
1984cat >> $CONFIG_STATUS <<EOF
1985
1986CONFIG_FILES=\${CONFIG_FILES-"Makefile ../../include/f2c.h:f2c.h.in libI77/Makefile libF77/Makefile libU77/Makefile"}
1987EOF
1988cat >> $CONFIG_STATUS <<\EOF
1989for ac_file in .. $CONFIG_FILES; do if test "x$ac_file" != x..; then
1990 # Support "outfile[:infile[:infile...]]", defaulting infile="outfile.in".
1991 case "$ac_file" in
1992 *:*) ac_file_in=`echo "$ac_file"|sed 's%[^:]*:%%'`
1993 ac_file=`echo "$ac_file"|sed 's%:.*%%'` ;;
1994 *) ac_file_in="${ac_file}.in" ;;
1995 esac
1996
1997 # Adjust a relative srcdir, top_srcdir, and INSTALL for subdirectories.
1998
1999 # Remove last slash and all that follows it. Not all systems have dirname.
2000 ac_dir=`echo $ac_file|sed 's%/[^/][^/]*$%%'`
2001 if test "$ac_dir" != "$ac_file" && test "$ac_dir" != .; then
2002 # The file is in a subdirectory.
2003 test ! -d "$ac_dir" && mkdir "$ac_dir"
2004 ac_dir_suffix="/`echo $ac_dir|sed 's%^\./%%'`"
2005 # A "../" for each directory in $ac_dir_suffix.
2006 ac_dots=`echo $ac_dir_suffix|sed 's%/[^/]*%../%g'`
2007 else
2008 ac_dir_suffix= ac_dots=
2009 fi
2010
2011 case "$ac_given_srcdir" in
2012 .) srcdir=.
2013 if test -z "$ac_dots"; then top_srcdir=.
2014 else top_srcdir=`echo $ac_dots|sed 's%/$%%'`; fi ;;
2015 /*) srcdir="$ac_given_srcdir$ac_dir_suffix"; top_srcdir="$ac_given_srcdir" ;;
2016 *) # Relative path.
2017 srcdir="$ac_dots$ac_given_srcdir$ac_dir_suffix"
2018 top_srcdir="$ac_dots$ac_given_srcdir" ;;
2019 esac
2020
2021
2022 echo creating "$ac_file"
2023 rm -f "$ac_file"
2024 configure_input="Generated automatically from `echo $ac_file_in|sed 's%.*/%%'` by configure."
2025 case "$ac_file" in
2026 *Makefile*) ac_comsub="1i\\
2027# $configure_input" ;;
2028 *) ac_comsub= ;;
2029 esac
2030
2031 ac_file_inputs=`echo $ac_file_in|sed -e "s%^%$ac_given_srcdir/%" -e "s%:% $ac_given_srcdir/%g"`
2032 sed -e "$ac_comsub
2033s%@configure_input@%$configure_input%g
2034s%@srcdir@%$srcdir%g
2035s%@top_srcdir@%$top_srcdir%g
2036" $ac_file_inputs | (eval "$ac_sed_cmds") > $ac_file
2037fi; done
2038rm -f conftest.s*
2039
2040EOF
2041cat >> $CONFIG_STATUS <<EOF
2042
2043EOF
2044cat >> $CONFIG_STATUS <<\EOF
2045
2046exit 0
2047EOF
2048chmod +x $CONFIG_STATUS
2049rm -fr confdefs* $ac_clean_files
2050test "$no_create" = yes || ${CONFIG_SHELL-/bin/sh} $CONFIG_STATUS || exit 1
2051
2052
2053